/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BinaryFileListLinkRel, BinaryFileListResource } from '@alfa-client/binary-file-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { Component, Input } from '@angular/core';
import { ResourceUri } from '@ngxp/rest';

@Component({
  selector: 'alfa-vertical-binary-file-list',
  templateUrl: './vertical-binary-file-list.component.html',
})
export class VerticalBinaryFileListComponent {
  @Input() binaryFileListStateResource: StateResource<BinaryFileListResource> =
    createEmptyStateResource<BinaryFileListResource>();
  @Input() downloadFileNamePrefix: string;
  @Input() title: string = '';
  @Input() deletable: boolean = false;
  @Input() archiveDownloadUri: ResourceUri;

  readonly fileListRel = BinaryFileListLinkRel;
}
