/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { faker } from '@faker-js/faker';
import { HistorieItemAttachmentComponent } from './historie-item-attachment.component';

describe('HistorieItemAttachmentComponent', () => {
  let component: HistorieItemAttachmentComponent;
  let fixture: ComponentFixture<HistorieItemAttachmentComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HistorieItemAttachmentComponent],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HistorieItemAttachmentComponent);
    component = fixture.componentInstance;
    component.attachments = faker.string.uuid();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('build attachment text', () => {
    it('should return text for single attachment', () => {
      const text: string = component.buildAttachmentText(faker.string.uuid());

      expect(text).toBe('Es existiert ein Anhang zu diesem Eintrag.');
    });

    it('should return text for multiple attachment', () => {
      const text: string = component.buildAttachmentText([
        faker.string.uuid(),
        faker.string.uuid(),
      ]);

      expect(text).toBe(`Es existieren 2 Anhänge zu diesem Eintrag.`);
    });
  });
});
