/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ApiRootFacade } from '@alfa-client/api-root-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { MockComponent } from 'ng-mocks';
import { UserSettingsContainerComponent } from './user-settings-container.component';
import { UserSettingsComponent } from './user-settings/user-settings.component';

describe('UserSettingsContainerComponent', () => {
  let component: UserSettingsContainerComponent;
  let fixture: ComponentFixture<UserSettingsContainerComponent>;

  const apiRootFacade: Mock<ApiRootFacade> = { ...mock(ApiRootFacade), getApiRoot: jest.fn() };

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [UserSettingsContainerComponent, MockComponent(UserSettingsComponent)],
      providers: [
        {
          provide: ApiRootFacade,
          useValue: apiRootFacade,
        },
      ],
    });
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(UserSettingsContainerComponent);
    component = fixture.componentInstance;
    fixture.autoDetectChanges(true);
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should call apiRoot facade', () => {
      component.ngOnInit();

      expect(apiRootFacade.getApiRoot).toHaveBeenCalled();
    });
  });
});
